$(document).ready(function() {
	$('#btnLogin').click(function() {
		$('#login-div .form-group').removeClass('input-error');
		$('#login-div .error-info').hide();
		$('#login-error').hide();
		var that = $(this);
		that.find('.spinner').css('display', 'inline-block');
		var email = $('#login-email').val();
		var contrasenya = $('#login-pass').val();
		var totOk = true;
		if (email == null || email == '') {
			$('#login-email').parent().addClass('input-error');
			$('#login-email').siblings('.error-blanc').show();
			totOk = false;
		} else {
			if (!validar_email(email)) {
				$('#login-email').parent().addClass('input-error');
				$('#login-email').siblings('.error-format').show();
				totOk = false;
			}
		}
		if (contrasenya == null || contrasenya == '') {
			$('#login-pass').parent().addClass('input-error');
			$('#login-pass').siblings('.error-blanc').show();
			totOk = false;
		}
		if (totOk) {
			$.ajax({
				url:'/doLogin',
				type: "POST",
				dataType: "json",
				data: {
						"email": email,
						"contrasenya": contrasenya
				},
				async: true,
				success: function (data)
				{
					var jsonResponse = JSON.parse(data);
					if (!$.isEmptyObject(jsonResponse)) {
						if (jsonResponse.info) {
							$('#login-error').html(jsonResponse.info).show();
						} else {
							location.reload();
						}
					} else {
						$('#login-error').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
					}
					that.find('.spinner').hide();
				}
			});
		} else {
			that.find('.spinner').hide();
		}
	});

	$('#btnSignUp').click(function() {
		$('#sign-up-div .form-group').removeClass('input-error');
		$('#sign-up-iv .error-info').hide();
		$('#signup-error').hide();
		var that = $(this);
		that.find('.spinner').css('display', 'inline-block');
		var nom = $('#signup-nom').val();
		var email = $('#signup-email').val();
		var contrasenya = $('#signup-pass').val();
		var totOk = true;
		if (nom == null || nom == '') {
			$('#signup-nom').parent().addClass('input-error');
			$('#signup-nom').siblings('.error-blanc').show();
			totOk = false;
		}
		if (email == null || email == '') {
			$('#signup-email').parent().addClass('input-error');
			$('#signup-email').siblings('.error-blanc').show();
			totOk = false;
		} else {
			if (!validar_email(email)) {
				$('#signup-email').parent().addClass('input-error');
				$('#signup-email').siblings('.error-format').show();
				totOk = false;
			}
		}
		if (contrasenya == null || contrasenya == '') {
			$('#signup-pass').parent().addClass('input-error');
			$('#signup-pass').siblings('.error-blanc').show();
			totOk = false;
		} else {
			if (!validar_longitud_contrasenya(contrasenya)) {
				$('#signup-pass').parent().addClass('input-error');
				$('#signup-pass').siblings('.error-longitud').show();
				totOk = false;
			} else if (!validar_contingut_contrasenya(contrasenya)) {
				$('#signup-pass').parent().addClass('input-error');
				$('#signup-pass').siblings('.error-format').show();
				totOk = false;
			}
		}
		if (totOk) {
			$.ajax({
				url:'/doSignUp',
				type: "POST",
				dataType: "json",
				data: {
						"nom": nom,
						"email": email,
						"contrasenya": contrasenya
				},
				async: true,
				success: function (data)
				{
					var jsonResponse = JSON.parse(data);
					if (!$.isEmptyObject(jsonResponse)) {
						if (jsonResponse.info) {
							$('#login-error').html(jsonResponse.info).show();
						} else {
							window.location.href = 'http://dev.compareit.com/usuari/' + jsonResponse.id;
						}
					} else {
						$('#signup-error').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
					}
					that.find('.spinner').hide();
				}
			});
		} else {
			that.find('.spinner').hide();
		}
	});

	$('#btnLogout').click(function() {
		$.ajax({
			url:'/doLogout',
			type: "POST",
			dataType: "json",
			data: {},
			async: true,
			success: function (data)
			{
				var jsonResponse = JSON.parse(data);
				if (!$.isEmptyObject(jsonResponse)) {
					if (jsonResponse.info) {
						alert(jsonResponse.info);
					} else if(jsonResponse.success) {
						location.reload();
					}
				} else {
					alert("S'ha produït un error, si us plau torna-ho intentar en uns minuts");
				}
			}
		});
	});

	$('.stars-selectable .star').mouseover(function() {
		var nota = $(this).data('val');
		$(this).parent().children('.star').each(function(e){
	    if (e < nota) {
	      $(this).removeClass('far').addClass('fas');
	    }
	    else {
	      if (!$(this).parent().hasClass('selected')) {
	      	$(this).removeClass('fas').addClass('far');
	      }
	    }
	  });
	});

	$('.stars-selectable .star').click(function() {
		$(this).parent().addClass('selected');
		var nota = $(this).data('val');
		$(this).siblings('input').val(nota);
		$(this).parent().children('.star').each(function(e){
      if (e < nota) {
        $(this).removeClass('far').addClass('fas');
      }
      else {
        $(this).removeClass('fas').addClass('far');
      }
    });
	});

	$('.stars-selectable').mouseout(function() {
		if (!$(this).hasClass('selected')) {
			$(this).find('.star').removeClass('fas').addClass('far');
		} else {
			var nota = $(this).find('input').val();
			$(this).children('.star').each(function(e){
	      if (e >= nota) {
	        $(this).removeClass('fas').addClass('far');
	      }
	    });
		}
	});

	$('#btnDesarNouItem').click(function() {
		$('#nou-item .form-group').removeClass('input-error');
		$('#nou-item .error-input').hide();
		$('#post-error').hide();
		var that = $(this);
		that.find('.spinner').css('display', 'inline-block');
		var nom = $('#nom-item').val();
		var descripcio = $('#descripcio-item').val();
		var categoria = $('#cat-item').val();
		var puntuacio = $('#valoracio').val();
		var avantatges = $('#puntsFavorNI').val();
		var inconvenients = $('#puntsContraNI').val();
		var imatge = $('#imatge');
		var totOk = true;
		if (nom == null || nom == '') {
			$('#nom-item').parent().addClass('input-error');
			$('#nom-item').siblings('.error-input').show();
			totOk = false;
		}
		if (descripcio == null || descripcio == '') {
			$('#descripcio-item').parent().addClass('input-error');
			$('#descripcio-item').siblings('.error-input').show();
			totOk = false;
		}
		if (categoria == null || categoria == '') {
			$('#cat-item').parent().addClass('input-error');
			$('#cat-item').siblings('.error-input').show();
			totOk = false;
		}
		if (puntuacio == null || puntuacio == '') {
			$('#valoracio').parent().addClass('input-error');
			$('#valoracio').siblings('.error-input').show();
			totOk = false;
		}
		if (totOk) {
			var myFormData = new FormData();
			myFormData.append('imatge', imatge[0].files[0]);
			myFormData.append('nom', nom);
			myFormData.append('descripcio', descripcio);
			myFormData.append('categoria', categoria);
			myFormData.append('puntuacio', puntuacio);
			myFormData.append('avantatges', avantatges);
			myFormData.append('inconvenients', inconvenients);
			$.ajax({
				url:'/addItem',
				type: "POST",
				processData: false, // important
				contentType: false, // important
				dataType: "json",
				data: myFormData,
				async: true,
				success: function (data)
				{
					var jsonResponse = JSON.parse(data);
					if (!$.isEmptyObject(jsonResponse)) {
						if (jsonResponse.info) {
							$('#post-error').html(jsonResponse.info).show();
						} else {
							window.location.href = '/item/' + jsonResponse.success;
						}
					} else {
						$('#post-error').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
					}
					that.find('.spinner').hide();
				}
			});
		} else {
			that.find('.spinner').hide();
		}
	});

	$('#btnDesarNovaCategoria').click(function() {
		$('#nova-categoria .form-group').removeClass('input-error');
		$('#nova-categoria .error-input').hide();
		$('#post-error').hide();
		var that = $(this);
		that.find('.spinner').css('display', 'inline-block');
		var nom = $('#cat-nom').val();
		var descripcio = $('#cat-descripcio').val();
		var motiu = $('#cat-motiu').val();
		var totOk = true;
		if (nom == null || nom == '') {
			$('#cat-nom').parent().addClass('input-error');
			$('#cat-nom').siblings('.error-input').show();
			totOk = false;
		}
		if (descripcio == null || descripcio == '') {
			$('#cat-descripcio').parent().addClass('input-error');
			$('#cat-descripcio').siblings('.error-input').show();
			totOk = false;
		}
		if (motiu == null || motiu == '') {
			$('#cat-motiu').parent().addClass('input-error');
			$('#cat-motiu').siblings('.error-input').show();
			totOk = false;
		}
		if (totOk) {
			$.ajax({
				url:'/addCategoria',
				type: "POST",
				dataType: "json",
				data: {
						"nom": nom,
						"descripcio": descripcio,
						"motiu": motiu
				},
				async: true,
				success: function (data)
				{
					var jsonResponse = JSON.parse(data);
					if (!$.isEmptyObject(jsonResponse)) {
						if (jsonResponse.info) {
							$('#post-error').html(jsonResponse.info).show();
						} else {
							window.location.href = '/items/' + jsonResponse.success;
						}
					} else {
						$('#post-error').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
					}
					that.find('.spinner').hide();
				}
			});
		} else {
			that.find('.spinner').hide();
		}
	});

	$(document).on('keypress', '#input-search, #btn-search', function (e) {
		var keycode = (e.keyCode ? e.keyCode : e.which);
		if (keycode == '13') {
			e.preventDefault();
	    if ($('#input-search').val() != null && $('#input-search').val() != '') {
	        $('#search-form').submit();
	    }
	  }
	});

	$(document).on('click', '#btn-search', function (e) {
		if ($('#input-search').val() != null && $('#input-search').val() != '') {
			$('#search-form').submit();
		}
	});

	$(document).on('click', '#btnNewComparison', function(e) {
		$('.item-cont').addClass('selectable');
		$('#btnNewComparison').hide();
		$('#btnDoNewComparison').show();
		$('#btnCancelComparison').show();
	});

	$(document).on('click', '#btnDoNewComparison', function(e) {
		var that = $(this);
		if ($(".item-cont .form-check input[type='checkbox']:checked").length > 1) {
			var items = [];
			$(".item-cont .form-check input[type='checkbox']:checked").each(function(index, element) {
				items.push($(element).data('item-id'));
			});
			if (items.length > 1) {
				$.ajax({
					url:'/novaComparacio',
					type: "POST",
					dataType: "json",
					data: {
							"items": items
					},
					async: true,
					success: function (data)
					{
						var jsonResponse = JSON.parse(data);
						if (!$.isEmptyObject(jsonResponse)) {
							if (jsonResponse.info) {
								alert(jsonResponse.info);
							} else {
								window.location.href = '/comparacio/' + jsonResponse.success;
							}
						} else {
							alert("S'ha produït un error, si us plau torna-ho intentar en uns minuts");
						}
						that.find('.spinner').hide();
					}
				});
			}
		} else {
			alert("Has de seleccionar com a mínim dos items");
		}
	});

	$(document).on('click', '#btnCancelComparison', function(e) {
		$('.item-cont').removeClass('selectable');
		$('#btnCancelComparison').hide();
		$('#btnDoNewComparison').hide();
		$('#btnNewComparison').show();
	});

	$(document).on('click', '.see-more', function (e) {
		var that = $(this);
		that.find('.spinner-border').css('display', 'inline-block');
		$.ajax({
			url:'/loadMoreCategories',
			type: "POST",
			dataType: "json",
			data: {
				"indx": 15
			},
			async: true,
			success: function (data)
			{
				that.find('.spinner-border').hide();
				var jsonResponse = JSON.parse(data);
				if (!$.isEmptyObject(jsonResponse)) {
					if (jsonResponse.info) {
						alert(jsonResponse.info);
					} else {
						that.hide();
						$.each(jsonResponse, function(i, cat) {
							that.parent().append("<a href='/items/"+cat.nomUrl+"' class='list-group-item flex-space-between' data-categoria-id='"+cat.id+"' data-categoria-nom='"+cat.nom+"'>"+cat.nom+"</a>");
						});
					}
				} else {
					alert("S'ha produït un error, si us plau torna-ho intentar en uns minuts");
				}
			},
			error: function (data) {
				that.find('.spinner-border').hide();
			}
		});
	});

	$(document).on('click', '.see-more-items', function (e) {
		var that = $('.see-more-items').parent();
		that.find('.spinner-border').css('display', 'inline-block');
		var idx = $('.item-cont:last').data('idx');
		var cat_id = that.find('.see-more-items').data('cat-id');
		$.ajax({
			url:'/loadMoreItems',
			type: "POST",
			dataType: "json",
			data: {
				"indx": idx,
				"categoria": cat_id
			},
			async: true,
			success: function (data)
			{
				that.find('.spinner-border').hide();
				var jsonResponse = JSON.parse(data);
				if (!$.isEmptyObject(jsonResponse)) {
					if (jsonResponse.info) {
						alert(jsonResponse.info);
					} else {
						var resp = jsonResponse;
						if (resp.length <= 9) {
							that.hide();
						}
						$.each(jsonResponse, function(i, item) {
							let imatge = "thumbnail.png";
							if (null != item.imatge && item.imatge != '') {
								imatge = "front/" + item.imatge;
							}
							$('.items-list .row').append("<div class=\"col-sm-12 col-md-6 col-lg-4 item-cont\" data-idx=\""+(idx+1+i)+"\">" + 
								"<div class=\"card mb-4\">" + 
									"<img class=\"card-img-top\" src=\""+assetsBaseDir+"img/"+imatge+"\" alt=\"Card image cap\">" + 
									"<div class=\"card-body\">" + 
										"<h5 class=\"card-title\">" + 
											"<span class=\"item-title\">"+parseString(item.nom,20)+"</span>" + 
											"<span class=\"star-puntuation\">"+puntuacioToEstrelles(item.puntuacio)+"</span>" + 
										"</h5>" + 
										"<p class=\"card-text\">"+parseString(item.descripcio,100)+"</p>" +
										"<a href=\"/item/"+item.id+"\" class=\"stretched-link\">Veure detalls</a>" +
									"</div>" +
								"</div>" +
								"<div class=\"select-layer\">" + 
									"<div class=\"form-check\">" + 
									  	"<input class=\"form-check-input\" type=\"checkbox\" data-item-id=\""+item.id+"\"value=\"\" id=\"check_"+item.id+"\">" + 
									  	"<label class=\"form-check-label\" for=\"check_"+item.id+"\">" + 
										    "Selecciona per a comparar" + 
										"</label>" + 
									"</div>" + 
								"</div>" + 
							"</div>");
						});
					}
				} else {
					alert("S'ha produït un error, si us plau torna-ho intentar en uns minuts");
				}
			},
			error: function (data) {
				that.find('.spinner-border').hide();
			}
		});
	});

	$(document).on('click', '.see-more-results', function (e) {
		var that = $('.see-more-results').parent();
		that.find('.spinner-border').css('display', 'inline-block');
		var idx = $('.item-cont:last').data('idx');
		var terme = that.find('.see-more-results').data('term');
		$.ajax({
			url:'/loadMoreResultats',
			type: "POST",
			dataType: "json",
			data: {
				"indx": idx,
				"terme": terme
			},
			async: true,
			success: function (data)
			{
				that.find('.spinner-border').hide();
				var jsonResponse = JSON.parse(data);
				if (!$.isEmptyObject(jsonResponse)) {
					if (jsonResponse.info) {
						alert(jsonResponse.info);
					} else {
						var resp = jsonResponse;
						if (resp.length <= 9) {
							that.hide();
						}
						$.each(jsonResponse, function(i, item) {
							$('.items-list .row').append("<div class=\"col-sm-12 col-md-6 col-lg-4 item-cont\" data-idx=\""+(idx+1+i)+"\">" + 
								"<div class=\"card mb-4\">" + 
									"<img class=\"card-img-top\" src=\""+assetsBaseDir+"img/thumbnail.png\" alt=\"Card image cap\">" + 
									"<div class=\"card-body\">" + 
										"<h5 class=\"card-title\">" + 
											"<span class=\"item-title\">"+parseString(item.nom,20)+"</span>" + 
											"<span class=\"star-puntuation\">"+puntuacioToEstrelles(item.puntuacio)+"</span>" + 
										"</h5>" + 
										"<p class=\"card-text\">"+parseString(item.descripcio, 100)+"</p>" +
										"<a href=\"/item/"+item.id+"\" class=\"stretched-link\">Veure detalls</a>" +
									"</div>" +
								"</div>" +
							"</div>");
						});
					}
				} else {
					alert("S'ha produït un error, si us plau torna-ho intentar en uns minuts");
				}
			},
			error: function (data) {
				that.find('.spinner-border').hide();
			}
		});
	});

	$("#imatge").change(function(){
	    readURL(this);
	});

	$(document).on('click', '.menu-right .dropdown-menu', function (e) {
		e.stopPropagation();
	});
});

function puntuacioToEstrelles(puntuacio) {
	var p = parseInt(puntuacio)/2;
	var res = "";
	for (var i = 0; i < p; i++) {
		if (p == (i+0.5)) {
			res += "<i class='star fas fa-star-half-alt fa-xs'></i>";
		} else {
			res += "<i class='star fas fa-star fa-xs'></i>";
		}
	}
	for (var j = Math.round(p); j < 5; j++) {
		res += "<i class='star far fa-star fa-xs'></i>";
	}

	return res;
}

function parseString(val, maxChars) {
	if (val.length > maxChars) {
		return val.substring(0, maxChars) + "...";
	}

	return val;
}

function validar_email(email) {
	var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	return re.test(email);
}

function validar_longitud_contrasenya(contrasenya) {
	return null != contrasenya && contrasenya.length >= 4;
}

function validar_contingut_contrasenya(contrasenya) {
	var pattern1 = /[0-9]/;
	var pattern2 = /[A-z]/;
	return pattern1.test(contrasenya) && pattern2.test(contrasenya);
}

function enviarValoracio(id_btn, id_ori, id_dst, input_puntuacio, input_valoracio) {
	var that = $('#' + id_btn);
	that.parent().removeClass('input-error');
	that.find('.spinner').css('display', 'inline-block');
	var puntuacio = $('#' + input_puntuacio).val();
	var valoracio = $('#' + input_valoracio).val();
	var totOk = true;
	if (puntuacio == null || puntuacio == '') {
		$('#' + input_puntuacio).parent().parent().addClass('input-error');
		totOk = false;
	}
	if (valoracio == null || valoracio == '') {
		$('#' + input_valoracio).parent().addClass('input-error');
		totOk = false;
	}
	if (totOk) {
		$.ajax({
			url:'/postComment',
			type: "POST",
			dataType: "json",
			data: {
					"id_ori": id_ori,
					"id_dst": id_dst,
					"puntuacio": puntuacio,
					"valoracio": valoracio
			},
			async: true,
			success: function (data)
			{
				var jsonResponse = JSON.parse(data);
				if (!$.isEmptyObject(jsonResponse)) {
					if (jsonResponse.info) {
						that.siblings('.info-msg').html(jsonResponse.info).show();
					} else {
						location.reload();
					}
				} else {
					that.siblings('.info-msg').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
				}
				that.find('.spinner').hide();
			}
		});
	} else {
		that.find('.spinner').hide();
	}
}

function enviarComentari(id_btn, id_comp, id_usuari, input_comentari) {
	var that = $('#' + id_btn);
	$('#'+input_comentari).parent().removeClass('input-error');
	that.find('.spinner').css('display', 'inline-block');
	var comentari = $('#' + input_comentari).val();
	var totOk = true;
	if (comentari == null || comentari == '') {
		$('#' + input_comentari).parent().addClass('input-error');
		totOk = false;
	}
	if (totOk) {
		$.ajax({
			url:'/postCompComment',
			type: "POST",
			dataType: "json",
			data: {
					"id_comp": id_comp,
					"id_usuari": id_usuari,
					"comentari": comentari
			},
			async: true,
			success: function (data)
			{
				var jsonResponse = JSON.parse(data);
				if (!$.isEmptyObject(jsonResponse)) {
					if (jsonResponse.info) {
						alert(jsonResponse.info);
					} else {
						location.reload();
					}
				} else {
					alert("S'ha produït un error, si us plau torna-ho intentar en uns minuts");
				}
				that.find('.spinner').hide();
			}
		});
	} else {
		that.find('.spinner').hide();
	}
}

function editarDescripcio(id_btn, id_usuari, descripcio) {
	var that = $('#' + id_btn);
	that.parent().removeClass('input-error');
	that.find('.spinner').css('display', 'inline-block');
	var imatge = $('#imatge');
	var myFormData = new FormData();
	myFormData.append('imatge', imatge[0].files[0]);
	myFormData.append('descripcio', descripcio);
	myFormData.append('id_usuari', id_usuari);
	$.ajax({
		url:'/updateDescription',
		type: "POST",
		processData: false, // important
		contentType: false, // important
		dataType: "json",
		data: myFormData,
		async: true,
		success: function (data)
		{
			var jsonResponse = JSON.parse(data);
			if (!$.isEmptyObject(jsonResponse)) {
				if (jsonResponse.info) {
					that.siblings('.info-msg').html(jsonResponse.info).show();
				} else {
					$('#info-des').html(descripcio).toggle();
					$('#input-des').parent().toggle();
				}
			} else {
				that.siblings('.info-msg').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
			}
			that.find('.spinner').hide();
		}
	});
}

function editarDescripcioItem(id_btn, id_item, descripcio) {
	var that = $('#' + id_btn);
	that.find('.spinner').css('display', 'inline-block');
	$.ajax({
		url:'/updateItemDescription',
		type: "POST",
		dataType: "json",
		data: {
				"id_item": id_item,
				"descripcio": descripcio
		},
		async: true,
		success: function (data)
		{
			var jsonResponse = JSON.parse(data);
			if (!$.isEmptyObject(jsonResponse)) {
				if (jsonResponse.info) {
					that.siblings('.info-msg').html(jsonResponse.info).show();
				} else {
					$('#info-des').html(descripcio).toggle();
					$('#input-des').parent().toggle();
				}
			} else {
				that.siblings('.info-msg').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
			}
			that.find('.spinner').hide();
		}
	});
}

function editarPunts(tipus, id_btn, id_item, valor) {
	var that = $('#' + id_btn);
	that.find('.spinner').css('display', 'inline-block');
	var d;
	if (tipus == 'favor') {
		d = {
			"id_item": id_item,
			"avantatges": valor
		}
	} else if (tipus == 'contra') {
		d = {
			"id_item": id_item,
			"inconvenients": valor
		}
	}
	$.ajax({
		url:'/updateItemAdvDis',
		type: "POST",
		dataType: "json",
		data: d,
		async: true,
		success: function (data)
		{
			var jsonResponse = JSON.parse(data);
			if (!$.isEmptyObject(jsonResponse)) {
				if (jsonResponse.info) {
					that.siblings('.info-msg').html(jsonResponse.info).show();
				} else {
					if (tipus == 'favor') {
						$('#text_adv p').html(valor);$('#text_adv').toggle();$('#edit_adv').toggle();
					} else if (tipus == 'contra') {
						$('#text_dis p').html(valor);$('#text_dis').toggle();$('#edit_dis').toggle();
					}
				}
			} else {
				that.siblings('.info-msg').html("S'ha produït un error, si us plau torna-ho intentar en uns minuts").show();
			}
			that.find('.spinner').hide();
		}
	});
}

function readURL(input) {
    if ($(input)[0].files && $(input)[0].files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
            $('#photo').attr('src', e.target.result);
            if ($('#photo').hasClass('photo-user')) {
            	$('#info-des').toggle();$('#input-des').parent().toggle();
            }
        }

        reader.readAsDataURL($(input)[0].files[0]);
    }
}