<?php
// src/Controller/ComparacionsController.php
namespace App\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Serializer\Encoder\JsonEncoder;
use Symfony\Component\Serializer\Normalizer\GetSetMethodNormalizer;
use Symfony\Component\Serializer\Normalizer\ObjectNormalizer;
use Symfony\Component\Serializer\Serializer;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Annotation\Route;
use App\Entity\Item;
use App\Entity\Comparacio;
use App\Entity\Comentari;

class ComparacionsController extends AbstractController
{
	/**
     * @Route("/novaComparacio", name="nova-comparacio")
     */
    public function novaComparacio(Request $request)
    {
    	if(isset($request->request) && $request->isXmlHttpRequest()) {
    		$items_id = $request->request->get('items');

    		if (!empty($items_id)) {
    			$session = $request->getSession();
        		$usuari_logged = $session->get('usuari_logged');

        		$items = array();
        		$repository1 = $this->getDoctrine()->getRepository(\App\Entity\Item::class);
        		foreach ($items_id as $item_id) {
        			$item = $repository1->find($item_id);
        			if (!empty($item)) {
        				array_push($items, $item);
        			}
        		}

        		if (!empty($items) && !empty($usuari_logged) && $usuari_logged->getId() != NULL) {
        			$repository2 = $this->getDoctrine()->getRepository(\App\Entity\Usuari::class);
        			$usuari = $repository2->find($usuari_logged->getId());
        			if (!empty($usuari)) {
	        			$comparacio = new Comparacio();
	        			$comparacio->setUsuari($usuari);
	        			$date = new \DateTime();
	        			$comparacio->setDataCreacio($date);
	        			foreach ($items as $item_prod) {
	        				$comparacio->addItem($item_prod);
	        			}

	        			$entityManager = $this->getDoctrine()->getManager();
		                $entityManager->persist($comparacio);
		                $entityManager->flush();

		                return new JsonResponse(json_encode(array('success' => $comparacio->getId())));
	        		}
        		}

				return new JsonResponse(json_encode(array('info' => 'S\'ha produït un error, si us plau torna-ho a intentar en uns minuts')));
    		}
		}

		return $this->redirectToRoute('index');
    }

    /**
     * @Route("/comparacio/{slug}", name="load-comparacio")
     */
    public function loadComparacio(Request $request, $slug)
    {
    	if(isset($request->request)) {
    		$comparacio_id = $slug;

    		$repository = $this->getDoctrine()->getRepository(\App\Entity\Comparacio::class);
			$comparacio = $repository->find($comparacio_id);

			if (!empty($comparacio)) {
				$session = $request->getSession();
        		$usuari_logged = $session->get('usuari_logged');

        		$repository1 = $this->getDoctrine()->getRepository(\App\Entity\Categoria::class);
				$categories = $repository1->findBy(
				    ['estat' => 'APROVAT'],
				    ['nom' => 'ASC']
				);
				$categories_prod = array();
				foreach ($categories as $cat) {
		            if (sizeof($cat->getItems()) > 0) {
		            	array_push($categories_prod, $cat);
		            }
		        }

				$data = array(
					'comparacio' => $comparacio,
					'categories' => $categories_prod,
					'usuari_logged' => $usuari_logged
				);

        		return $this->render('/comparacio.html.twig', $data);
			}
		}

		return $this->redirectToRoute('index');
    }

    /**
     * @Route("/postCompComment", name="post-comp-comment")
     */
    public function postCompComment(Request $request)
    {
        if(isset($request->request) && $request->isXmlHttpRequest()) {
            $id_comparacio = $request->request->get('id_comp');
            $id_usuari = $request->request->get('id_usuari');
            $com = $request->request->get('comentari');

            $entityManager = $this->getDoctrine()->getManager();
            $repository = $this->getDoctrine()->getRepository(\App\Entity\Comparacio::class);
            $comparacio = $repository->find($id_comparacio);

            if (!empty($comparacio) && !empty($com)) {
            	$repository1 = $this->getDoctrine()->getRepository(\App\Entity\Usuari::class);
            	$usuari = $repository1->find($id_usuari);
            	if (!empty($usuari)) {
	                $comentari = new Comentari();
	                $comentari->setUsuari($usuari);
	                $comentari->setComparacio($comparacio);
	                $comentari->setValor($com);
	                $date = new \DateTime();
	                $comentari->setDataCreacio($date);

	                $entityManager->persist($comentari);
	                $entityManager->flush();

	                return new JsonResponse(json_encode(array('success' => 'OK')));
                }
            } else {
                return new JsonResponse(json_encode(array('info' => 'Revisa els valors introduits')));
            }
        }

        return new JsonResponse(json_encode(array('info' => 'S\'ha produït un error, si us plau torna-ho a intentar en uns minuts')));
    }
}