<?php
// src/Controller/DefaultController.php
namespace App\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Session\Session;

class DefaultController extends AbstractController
{
    public function default(Request $request)
    {
    	$repository1 = $this->getDoctrine()->getRepository(\App\Entity\Categoria::class);
		$categories = $repository1->findBy(
		    ['estat' => 'APROVAT'],
		    ['nom' => 'ASC']
		);
		$categories_prod = array();
		foreach ($categories as $categoria) {
            if (sizeof($categoria->getItems()) > 0) {
            	array_push($categories_prod, $categoria);
            }
        }

		$repository2 = $this->getDoctrine()->getRepository(\App\Entity\Item::class);
		$items_recents = $repository2->findBy(
			[],
			['data_creacio' => 'DESC'],
			10
		);
		$items_recomanats = $repository2->findBy(
			[],
			['puntuacio' => 'DESC'],
			10
		);

		$session = $request->getSession();
        $usuari_logged = $session->get('usuari_logged');

        return $this->render('/index.html.twig', array(
        	'categories' => $categories_prod,
        	'items_recents' => $items_recents,
        	'items_recomanats' => $items_recomanats,
        	'usuari_logged' => $usuari_logged
        ));
    }
}