<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\ComentariRepository")
 */
class Comentari
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Usuari", inversedBy="comentaris")
     * @ORM\JoinColumn(nullable=false)
     */
    private $usuari;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Comparacio", inversedBy="comentaris")
     * @ORM\JoinColumn(nullable=false)
     */
    private $comparacio;

    /**
     * @ORM\Column(type="text")
     */
    private $valor;

    /**
     * @ORM\Column(type="datetime")
     */
    private $data_creacio;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUsuari(): ?Usuari
    {
        return $this->usuari;
    }

    public function setUsuari(?Usuari $usuari): self
    {
        $this->usuari = $usuari;

        return $this;
    }

    public function getComparacio(): ?Comparacio
    {
        return $this->comparacio;
    }

    public function setComparacio(?Comparacio $comparacio): self
    {
        $this->comparacio = $comparacio;

        return $this;
    }

    public function getValor(): ?string
    {
        return $this->valor;
    }

    public function setValor(string $valor): self
    {
        $this->valor = $valor;

        return $this;
    }

    public function getDataCreacio(): ?\DateTimeInterface
    {
        return $this->data_creacio;
    }

    public function setDataCreacio(\DateTimeInterface $data_creacio): self
    {
        $this->data_creacio = $data_creacio;

        return $this;
    }
}
