<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\ValoracioRepository")
 */
class Valoracio
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Usuari", inversedBy="valoracions")
     * @ORM\JoinColumn(nullable=false)
     */
    private $usuari;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Usuari", inversedBy="valoracions_from")
     * @ORM\JoinColumn(nullable=false)
     */
    private $usuari_desti;

    /**
     * @ORM\Column(type="text")
     */
    private $valor;

    /**
     * @ORM\Column(type="integer")
     */
    private $puntuacio;

    /**
     * @ORM\Column(type="datetime")
     */
    private $data_creacio;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUsuari(): ?Usuari
    {
        return $this->usuari;
    }

    public function setUsuari(?Usuari $usuari): self
    {
        $this->usuari = $usuari;

        return $this;
    }

    public function getUsuariDesti(): ?Usuari
    {
        return $this->usuari_desti;
    }

    public function setUsuariDesti(?Usuari $usuari_desti): self
    {
        $this->usuari_desti = $usuari_desti;

        return $this;
    }

    public function getValor(): ?string
    {
        return $this->valor;
    }

    public function setValor(string $valor): self
    {
        $this->valor = $valor;

        return $this;
    }

    public function getPuntuacio(): ?int
    {
        return $this->puntuacio;
    }

    public function setPuntuacio(int $puntuacio): self
    {
        $this->puntuacio = $puntuacio;

        return $this;
    }

    public function getDataCreacio(): ?\DateTimeInterface
    {
        return $this->data_creacio;
    }

    public function setDataCreacio(\DateTimeInterface $data_creacio): self
    {
        $this->data_creacio = $data_creacio;

        return $this;
    }
}
